/*
 * Command-line parsing library
 * Copyright (c) 1996 by FRIENDS software
 * Portability: Excellent
 */
#ifndef __CMDLINE_H__
#define __CMDLINE_H__

#include "stype.h"

#ifdef __cplusplus
 extern "C" {
#endif

/* Allocate and return a pointer to a string containing original command line */
char *CmdLine(int argc, char *argv[]);

/* Parse the line passed to procedure calling either Opt or Str handlers */
void ParseCmdLine(char *Line, int (*Opt)(char *), int (*Str)(char *));

/* Return 1 if Switch in [-+], 0 otherwise. Set State to 0 if '-', 1 otherwise */
int OptState(char Switch, boolean *State);

#ifdef __cplusplus
 }
#endif

#endif __CMDLINE_H__
