/*
 * OS/2 console control routines
 * Copyright (c) 1997 by FRIENDS software
 * Portability: extremely low
 */
#ifndef __ANSI_H__
#define __ANSI_H__

#include "stype.h"

#ifdef __cplusplus
 extern "C" {
#endif

#define colSAME		-1
#define colBLACK	0
#define colBLUE		1
#define	colGREEN	2
#define colCYAN		3
#define colRED		4
#define colMAGENTA	5
#define colBROWN	6
#define colGRAY		7
#define colDGRAY	8
#define colLBLUE	9
#define colLGREEN	10
#define colLCYAN	11
#define colLRED		12
#define colLMAGENTA	13
#define colYELLOW	14
#define colWHITE	15

// Output ANSI color sequence (if ANSI == 1)
void SetColor(int Fore, int Back);

// Query console width & height
void GetConsoleSize(int *Width, int *Height); 

// Set console (window) width & height
void SetConsoleSize(int Width, int Height, int Attr);

// Clear console
void ClearConsole(int Attr);

// Set cursor position
void SetCursorPos(int X, int Y);

extern boolean ANSI;

#ifdef __cplusplus
 }
#endif

#endif __ANSI_H__
