/*
 * Operating system-related functions
 * Copyright (c) 1996 by FRIENDS software
 * Portability: Ugly
 */

#define INCL_DOSPROCESS
#include <os2.h>
#include <string.h>
#include <malloc.h>
#include "strop.h"
#include "syslib.h"

char *Environment()
{
 PTIB tib;
 PPIB pib;
 DosGetInfoBlocks(&tib, &pib);
 return pib->pib_pchenv;
}

char *SourceName()
{
 int i;
 char *RetS;
 char *Env = Environment();

 do Env++; while ((Env[-1] != 0) || (Env[0] != 0));
 do Env++; while (Env[0] != 0);
 Env++;
 i = strlen(Env);
 RetS = malloc(i);
 if (RetS) strcpy(RetS, Env);
 return RetS;
}

char *SourcePath()
{
 int i;
 char *RetS;
 char *Env = Environment();

 do Env++; while ((Env[-1] != 0) || (Env[0] != 0));
 do Env++; while (Env[0] != 0);

 Env++; RetS = Env + strlen(Env);
 while ((RetS > Env) && (strlast(RetS[-1], PATHSEP) < 0)) RetS--;

 i = RetS - Env;
 RetS = malloc(i + 1);
 if (RetS)
 {
  strncpy(RetS, Env, i);
  RetS[i] = 0;
 }
 return RetS;
}
