/*
 * Operating system-related functions
 * Copyright (c) 1996 by FRIENDS software
 * Portability: Ugly
 */
#ifndef __SYSLIB_H__
#define __SYSLIB_H__

#ifdef __cplusplus
 extern "C" {
#endif

// for debugging
#define brk __asm__("int $3")

/* Each of the following routines returns a pre-allocated pointer to char[] */
/* You should take care to free it yourself after you`re done with results  */

/* Return a pointer to raw environment */
char *Environment();

/* Return fully-qualified program pathname */
char *SourceName();

/* Return fully-qualified program path */
char *SourcePath();

#ifdef __cplusplus
 }
#endif

#endif __SYSLIB_H__
